Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.bcel.classfile
Class ConstantInterfaceMethodref

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Constant
          org.apache.tomcat.util.bcel.classfile.ConstantCP
              org.apache.tomcat.util.bcel.classfile.ConstantInterfaceMethodref

All Implemented Interfaces:
  Serializable, Cloneable

    public final class ConstantInterfaceMethodref

extends ConstantCP

This class represents a constant pool reference to an interface method.

Version:
  $Id: ConstantInterfaceMethodref.java 1181133 2011-10-10 18:49:14Z markt $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.ConstantCP
`class_index, name_and_type_index`

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Constant
`tag`

Method Summary

Methods inherited from class org.apache.tomcat.util.bcel.classfile.ConstantCP
`dump, getClassIndex, getNameAndTypeIndex, toString`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Constant
`clone, equals, getTag, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.